{% extends "base.html" %}

{% load i18n %}
{% load static %}

{% block title %}{% trans "Open-source" context "Opensource page title" %}{% endblock %}

{% block extra_headers %}
<meta name="description" content="{% trans "Paperwork is opensource software (GPLv3). This page explains what it means for you." %}">
{% endblock %}

{% block body %}

{% blocktrans %}
<h2>What does "open-source" mean ?</h2>
{% endblocktrans %}

{% blocktrans %}
<p>
Open-source software is software for which the source code is
provided openly. Source code is the materiel required to build
and modify software. You can think of it as recipes to build
programs.
</p>
{% endblocktrans %}

{% blocktrans %}
<p>
While a lot of programmers and companies keep the source code to
themselves (<i>proprietary</i> or <i>closed-source software</i>),
others choose to give it with their software
(<i>open-source software</i>, sometimes even <i>free software</i>).
</p>
{% endblocktrans %}

{% blocktrans %}
<p>Hence the word 'open-source'.</p>
{% endblocktrans %}

<a href="https://www.gnu.org/licenses/quick-guide-gplv3.html">
    <img style="float: right; margin: 5px; margin-top: 20px;"
         alt="GPLv3 logo"
	 src="{% static "gpl-v3.png" %}" />
</a>

{% blocktrans %}
<h2>Why is Paperwork open-source ?</h2>
{% endblocktrans %}

{% blocktrans %}
<h3>Trust</h3>
{% endblocktrans %}

{% blocktrans %}
<p>
With closed-source software, it's hard to know what the program
is actually doing. It's far too easy for companies to hide spyware or
adware (or even worse) in their programs.
</p>
{% endblocktrans %}

{% blocktrans %}
<p>
Paperwork has to handle strictly personal, confidential and very
sensitive data. You <strong>have to</strong> be able to trust it.
</p>
{% endblocktrans %}

{% blocktrans %}
<p>
Paperwork is distributed under the licence GPLv3. This licence gives
you the right to obtain the source code of Paperwork, and all the
pieces of software it is linked with. Any Python programmers can
freely and easily
<a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork">have a look at what
	Paperwork does and how
	it does it</a>.
<!-- If we would try to cheat,
any security expert could catch us really easily and denounce us. -->
</p>
{% endblocktrans %}


{% blocktrans %}
<h3>Learning and teaching</h3>
{% endblocktrans %}

{% blocktrans %}
<p>
While developing Paperwork, we often looked at other open-source
programs to understand how they did things or just to inspire
ourselves. Now it's our turn to share.
</p>
{% endblocktrans %}


{% blocktrans %}
<h3>Reuse</h3>
{% endblocktrans %}

{% blocktrans %}
<p>
Paperwork uses a lot of existing opensource programs and
librairies (Python, Gtk, python-simplebayes, ...). So many that
it's impossible to make a comprehensive list of all of them.
</p>
{% endblocktrans %}

{% blocktrans %}
<p>
While it uses a lot of existing programs and libraries,
we had to create others from scratchs. We gladly distribute
these components back as opensource. For instance,
while the library <a href="https://gitlab.gnome.org/World/OpenPaperwork/pyocr">PyOCR</a>
has been created especially for Paperwork, there are other projects,
like <a href="https://github.com/danielquinn/paperless">Paperless</a>,
who use it too. <!-- And I, Jflesch, am damn proud of it :-) -->
</p>
{% endblocktrans %}


{% blocktrans %}
<h3>Ownership</h3>
{% endblocktrans %}

{% blocktrans %}
<p>
When you buy a book, what's written in it belongs to its author,
not to you. When you buy proprietary software, it still belongs
to their author(s), not to you. That's the way intellectual
property is supposed to work.
</p>
{% endblocktrans %}

{% blocktrans %}
<p>
However, in some way, distributing Paperwork as GPLv3 makes it
<strong>yours</strong>. If someday you decide to learn how to
program in Python, you will be free to learn from it or even
modify it.
</p>
{% endblocktrans %}


{% blocktrans %}
<h3>Collaborate and improve</h3>
{% endblocktrans %}

{% blocktrans %}
<p>
Paperwork being opensource, everybody is free to contribute.
Many people
already have, and we are very thankful. Many other people have
also contributed to various components used by Paperwork
(unfortunately, it's almost impossible to list all the components).
</p>
{% endblocktrans %}

{% blocktrans %}
<p>
If you modify and redistribute your own version of Paperwork,
the GPLv3 only asks a few things of you. The main one is that you too
must redistribute your version of the source code. Also, you
must redistribute it under the same licence, the GPLv3. This
mechanism ensures that Paperwork will always remain open-source.
</p>
{% endblocktrans %}

{% blocktrans %}
<p>
If you do modify it, you are invited (but not obligated)
to send us your modifications on
<a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork">Gitlab</a>.
</p>
{% endblocktrans %}


{% blocktrans %}
<h3>Pride</h3>
{% endblocktrans %}

{% blocktrans %}
<p>
Open-source is also about being proud of what you do. When
you're proud of your work, you don't keep it shamefully
hidden under a blanket. You show it to the world.
</p>
{% endblocktrans %}

{% comment %}
{% blocktrans %}
<h2>Does that mean I can remove the activation key mechanism ?</h2>
{% endblocktrans %}

{% blocktrans %}
<p>
<a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork/blob/stable/src/paperwork/frontend/activation/__init__.py#L132">Of course</a>.
The activation key mechanism is just here to act as a reminder.
</p>
{% endblocktrans %}
{% endcomment %}

{% blocktrans %}
<h2>Where is Paperwork source code ?</h2>
{% endblocktrans %}

{% blocktrans %}
<p>
Paperwork source code is hosted on Gnome's Gitlab. It is actually made of many
components that anybody is free to reuse (there are various licences
and rules for each component however). It's impossible to list them
all, but here is a list of the components developed mostly by us:
</p>
{% endblocktrans %}

{% blocktrans %}
<ul>
	<li>
		<a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork">Paperwork</a>
	</li>
	<li>
		<a href="https://gitlab.gnome.org/World/OpenPaperwork/pyocr">PyOCR</a>
		: A Python library to make things easier for Python's
		programmers who want to use OCR tools
		(Optical Character Recognition)
	</li>
	<li>
		<a href="https://gitlab.gnome.org/World/OpenPaperwork/Libinsane">Libinsane</a>
		: A C library to make it easier to use scanner devices. Provided
		with bindings for many languages (Python, JS, etc) thanks to
		<a href="https://gi.readthedocs.io/en/latest/">GObject Introspection</a>.
	</li>
	<li>
		<a href="https://gitlab.gnome.org/World/OpenPaperwork/libpillowfight">Libpillowfight</a>
		: A bunch of image processing algorithms
	</li>
</ul>
{% endblocktrans %}

{% endblock %}
